function optndfltstest1  
% optndfttest1  Tests for optndft
%  2015-07-28  Matlab  Copyright (c) 2012, W J Whiten  BSD License

disp(' ')
disp('defaults in cell array')
dflts={'a' 1 'b' 2 'c' 3 'd' 4};

optndfts({},dflts)
optndfts({'d' 44 'b' 22},dflts)
optndfts({{'d' 44 'b' 22}},dflts)
optndfts(struct('d',44,'b',22),dflts)
optndfts({struct('d',44,'b',22)},dflts)

disp(' ')
optndfts({},{'d' ,'b'},dflts)
optndfts({44 'b' 22},{'d' ,'b'},dflts)
optndfts({44 22},{'d' ,'b'},dflts)
optndfts({{'d' 44 'b' 22}},{'d' ,'b'},dflts)
optndfts(struct('d',44,'b',22),{'d' ,'b'},dflts)
optndfts({struct('d',44,'b',22)},{'d' ,'b'},dflts)


disp(' ')
disp('defaults in struct')
dflts=struct('a',1,'b',2,'c',3,'d',4);

optndfts({},dflts)
optndfts({'d' 44 'b' 22},dflts)
optndfts({{'d' 44 'b' 22}},dflts)
optndfts(struct('d',44,'b',22),dflts)
optndfts({struct('d',44,'b',22)},dflts)

disp(' ')
optndfts({},{'d' ,'b'},dflts)
optndfts({44 'b' 22},{'d' ,'b'},dflts)
optndfts({44 22},{'d' ,'b'},dflts)
optndfts({{'d' 44 'b' 22}},{'d' ,'b'},dflts)
optndfts(struct('d',44,'b',22),{'d' ,'b'},dflts)
optndfts({struct('d',44,'b',22)},{'d' ,'b'},dflts)


disp(' ')
disp('defaults as a list')

optndfts({},'a',1,'b',2,'c',3,'d',4)
optndfts({'d' 44 'b' 22},'a',1,'b',2,'c',3,'d',4)
optndfts({{'d' 44 'b' 22}},'a',1,'b',2,'c',3,'d',4)
optndfts(struct('d',44,'b',22),'a',1,'b',2,'c',3,'d',4)
optndfts({struct('d',44,'b',22)},'a',1,'b',2,'c',3,'d',4)

disp(' ')
optndfts({},{'d' ,'b'},'a',1,'b',2,'c',3,'d',4)
optndfts({44 'b' 22},{'d' ,'b'},'a',1,'b',2,'c',3,'d',4)
optndfts({44 22},{'d' ,'b'},'a',1,'b',2,'c',3,'d',4)
optndfts({{'d' 44 'b' 22}},{'d' ,'b'},'a',1,'b',2,'c',3,'d',4)
optndfts(struct('d',44,'b',22),{'d' ,'b'},'a',1,'b',2,'c',3,'d',4)
optndfts({struct('d',44,'b',22)},{'d' ,'b'},'a',1,'b',2,'c',3,'d',4)

return
end

% optndfltstest1
%  
% defaults in cell array
% ans = 
%     a: 1
%     b: 2
%     c: 3
%     d: 4
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
%  
% ans = 
%     a: 1
%     b: 2
%     c: 3
%     d: 4
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
%  
% defaults in struct
% ans = 
%     a: 1
%     b: 2
%     c: 3
%     d: 4
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
%  
% ans = 
%     a: 1
%     b: 2
%     c: 3
%     d: 4
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
%  
% defaults as a list
% ans = 
%     a: 1
%     b: 2
%     c: 3
%     d: 4
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
%  
% ans = 
%     a: 1
%     b: 2
%     c: 3
%     d: 4
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
% ans = 
%     a: 1
%     b: 22
%     c: 3
%     d: 44
